To follow along with this book, you’ll need:

  • Kotlin 1.5. This book uses Kotlin 1.5 throughout. The examples may work with an earlier version of Kotlin, but they’re untested.
  • Android Studio Bumblebee or later. Android Studio is the main development tool for Android. You’ll need Android Studio Bumblebee or later for the tasks in this book. You can download the latest version of Android Studio from Android’s developer site here: https://developer.android.com/studio.
  • A Github Account. Some examples in this book use Github. You can set up an account here: https://www.github.com.
  • A Google Play Developer Account. Many examples in this book use the Google Play Developer console. If you don’t have a Google Play developer account, you can set one up here: https://play.google.com/console/u/0/signup.

If you haven’t installed the latest version of Android Studio, be sure to do so before continuing with the book. The code covered in this book depends on Android 12, Kotlin 1.5 and Android Studio Bumblebee. You may run into problems if you try to work with an older version.

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.

© 2022 Razeware LLC